OGRE-Next: Ogre::v1::GLES2DefaultHardwareUniformBuffer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::GLES2DefaultHardwareUniformBuffer Class Reference

Specialisation of HardwareUniformBuffer for emulation. More...

`#include <OgreGLES2DefaultHardwareBufferManager.h>`

Inheritance diagram for Ogre::v1::GLES2DefaultHardwareUniformBuffer:
[legend]

## Public Member Functions
| GLES2DefaultHardwareUniformBuffer (HardwareBufferManagerBase *mgr, size_t bufferSize, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name)
| GLES2DefaultHardwareUniformBuffer (size_t bufferSize, HardwareBuffer::Usage usage, bool useShadowBuffer, const String &name)
| ~GLES2DefaultHardwareUniformBuffer ()
void * | getDataPtr (size_t offset) const
void * | lock (size_t offset, size_t length, LockOptions options)
| Override HardwareBuffer to turn off all shadowing.
void | readData (size_t offset, size_t length, void *pDest)
| Reads data from the buffer and places it in the memory pointed to by pDest.
void | unlock ()
| Override HardwareBuffer to turn off all shadowing.
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)
| Writes data to the buffer from an area of system memory; note that you must ensure that your buffer is big enough.

## Detailed Description

Specialisation of HardwareUniformBuffer for emulation.

## Constructor & Destructor Documentation

## ◆ GLES2DefaultHardwareUniformBuffer() [1/2]

Ogre::v1::GLES2DefaultHardwareUniformBuffer::GLES2DefaultHardwareUniformBuffer | ( | size_t | bufferSize,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name )

## ◆ GLES2DefaultHardwareUniformBuffer() [2/2]

Ogre::v1::GLES2DefaultHardwareUniformBuffer::GLES2DefaultHardwareUniformBuffer | ( | HardwareBufferManagerBase * | mgr,
|  | size_t | bufferSize,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer,
|  | const String & | name )

## ◆ ~GLES2DefaultHardwareUniformBuffer()

Ogre::v1::GLES2DefaultHardwareUniformBuffer::~GLES2DefaultHardwareUniformBuffer | ( |  | ) |

## Member Function Documentation

## ◆ getDataPtr()

void * Ogre::v1::GLES2DefaultHardwareUniformBuffer::getDataPtr | ( | size_t | offset | ) | const
| inline

## ◆ lock()

void * Ogre::v1::GLES2DefaultHardwareUniformBuffer::lock | ( | size_t | offset,
|  | size_t | length,
|  | LockOptions | options )

Override HardwareBuffer to turn off all shadowing.

## ◆ readData()

void Ogre::v1::GLES2DefaultHardwareUniformBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest )

Reads data from the buffer and places it in the memory pointed to by pDest.

Parameters

  offset | The byte offset from the start of the buffer to read
  length | The size of the area to read, in bytes
  pDest | The area of memory in which to place the data, must be large enough to accommodate the data!

## ◆ unlock()

void Ogre::v1::GLES2DefaultHardwareUniformBuffer::unlock | ( |  | ) |

Override HardwareBuffer to turn off all shadowing.

## ◆ writeData()

void Ogre::v1::GLES2DefaultHardwareUniformBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = false )

Writes data to the buffer from an area of system memory; note that you must ensure that your buffer is big enough.

Parameters

  offset | The byte offset from the start of the buffer to start writing
  length | The size of the data to write to, in bytes
  pSource | The source of the data to be written
  discardWholeBuffer | If true, this allows the driver to discard the entire buffer when writing, such that DMA stalls can be avoided; use if you can.

The documentation for this class was generated from the following file:

- OgreGLES2DefaultHardwareBufferManager.h